<?php
require("../LdapManager.php");
require("../LdapConf.php");

$lm=new LdapManager($LDAP_SERVER_NAME,$LDAP_SERVER_PORT);
$lm->setOption(LDAP_OPT_PROTOCOL_VERSION,3);
$lm->connectLdap($LDAP_USER,$LDAP_PASS);

header('Content-type: text/xml');
$res="<Entries>\n";
if (array_key_exists('dn',$_GET)) {
    $dnEntry=base64_decode($_GET['dn']);
    $entry=$lm->getEntry($dnEntry);
    if (array_key_exists('lang',$_GET)) {
	    $entry->selectLang($_GET['lang']);
    }
    $res.=$entry->getXML();
}
$res.="</Entries>\n";

echo $res;
?>
